
From: florin@iucha.net (Florin Iucha)

One of these broke the compilation of net/ipv4/netfilter/ipt_helper.o:
  CC [M]  net/ipv4/netfilter/ipt_helper.o
In file included from net/ipv4/netfilter/ipt_helper.c:13:
include/linux/netfilter_ipv4/ip_conntrack_core.h: In function `ip_conntrack=
_confirm':
include/linux/netfilter_ipv4/ip_conntrack_core.h:46: error: `NF_ACCEPT' und=
eclared (first use in this function)
include/linux/netfilter_ipv4/ip_conntrack_core.h:46: error: (Each undeclare=
d identifier is reported only once
include/linux/netfilter_ipv4/ip_conntrack_core.h:46: error: for each functi=
on it appears in.)

This trivial patch fixes it:



 /dev/null                       |    0 
 net/ipv4/netfilter/ipt_helper.c |    1 +
 2 files changed, 1 insertion(+)

diff -puN net/ipv4/netfilter/ipt_helper.c~ipt_helper-build-fix net/ipv4/netfilter/ipt_helper.c
--- 25/net/ipv4/netfilter/ipt_helper.c~ipt_helper-build-fix	2003-07-27 20:28:31.000000000 -0700
+++ 25-akpm/net/ipv4/netfilter/ipt_helper.c	2003-07-27 20:28:31.000000000 -0700
@@ -9,6 +9,7 @@
  */
 #include <linux/module.h>
 #include <linux/skbuff.h>
+#include <linux/netfilter.h>
 #include <linux/netfilter_ipv4/ip_conntrack.h>
 #include <linux/netfilter_ipv4/ip_conntrack_core.h>
 #include <linux/netfilter_ipv4/ip_conntrack_helper.h>
diff -puN -L net/ipv4/netfilter/ipt_helper.c.orig /dev/null /dev/null

_
